// JavaScript Document
/** fonction permettant l'activation de la recherche fournisseur
 *  utilise uniquement via l'onglet 2 de la saisie panier
 *
 *
 */
function SelectFour(rowid)
{
  var object=document.frm_saisie_panier.fonction;
  if (object)
  {
    object.value="cod_frs_"+rowid;
    Traite("panier_ong_2.php",object);
    object.value="";
    Eteint();
  }
}

/** fonction javascript utilise par l'onglet 3 de la saisie panier
 *
 *
 */

function SelectFour3(rowid,codfrs)
{
  var object=document.frm_saisie_panier.fonction;

  object.value="cod_frs_"+rowid;

  document.frm_saisie_panier.ong3value.value=codfrs;

  Traite("panier_ong_3.php",object);

  object.value="";
  document.frm_saisie_panier.ong3value.value="";

  flg_debut_div=false;
  Eteint();
}
function Init()
{
  document.frm_dlg.note_frs.focus();
  window.onload='';
}
function reloadAfterDelete()
{
	document.getElementById("#id_tag_1").click();
}

function Fonction_ong_3(fonction)
{
  var object=document.frm_dlg.fonction;

  object.value=fonction;

  Traite("panier_ong_3.php",object);

  object.value="";

  flg_debut_div=false;
  Eteint();
}

function changeJourApplication(objet){
	tblName = (objet.name).split('FIN_DEB_PER_');
	if(objet.value=='F'){
		jourAppli = '31';
	}
	else{
		jourAppli = '01';
	}
	document.getElementsByName('RECEPAUTO_JOUR_'+tblName[1])[0].value = jourAppli;
	document.getElementsByName('RECEPAUTO_JOUR_'+tblName[1])[0].onchange();
}

// POPUP PLANNING
function supprLignePlanning(idLigne){

	if(parseInt(document.getElementById("countPlanning").value)<= 1)
		return false;
	document.getElementById("countPlanning").value = parseInt(document.getElementById("countPlanning").value.replace(/\s/g, ''))-1; 
	// parent = document.getElementById('planning').childNodes[1];
	trNode = document.getElementById(idLigne);
	// parent.removeChild(trNode);	

	document.getElementById('quantite_'+idLigne).value=0;
	document.getElementById('lineSelected_'+idLigne).value=0;
	trNode.style.display = 'none';

	//calcul quantité à cadencer
	qte = document.getElementById('qte').value;
	tblquantite = document.getElementsByClassName('quantite');
	quantiteCumule = 0;
	for (i=0; i<tblquantite.length; i++){		
		quantiteLigne = tblquantite[i].value.replace(/\s/g, '');
		if(quantiteLigne == ''){
			quantiteLigne = 0;
		}
		quantiteCumule = parseFloat(quantiteCumule) + parseFloat(quantiteLigne);
	}
	quantiteRestante = (parseFloat(qte)  - parseFloat(quantiteCumule).toFixed(3)).toFixed(3);
	document.getElementById('quantiteRestante').innerHTML  = quantiteRestante;
	document.getElementById('spanQuantite').removeAttribute('class');
	if(quantiteRestante!=0){
		document.getElementById('spanQuantite').classList.add('texteRed');
	}
	else{
		document.getElementById('spanQuantite').classList.add('texteVert');
	}
	
	displayBtnSupprimer();
}

function displayBtnSupprimer(){
	if(parseInt(document.getElementById("countPlanning").value)<= 1){
		style = 'display:none;';
	}
	else{
		style = 'display:block;';
	}
	tblSupprimer = document.getElementsByClassName('supprimer');
	for (i=0; i<tblSupprimer.length; i++){
		tblSupprimer[i].style.cssText = style;
	}
}

function checkQuantitePlanning(objet){
	quantite = objet.value.replace(/\s/g, '');
	if(quantite==''){
		quantite = 0;
	}
	QteConditionnement = document.getElementById('QteConditionnement').value.replace(/\s/g, '');
	ValeurUniteDAArticle = document.getElementById('ValeurUniteDAArticle').value.replace(/\s/g, '');
	unite = document.getElementById('unite').value.replace(/\s/g, '');
	uniteArticle = document.getElementById('uniteArticle').value.replace(/\s/g, '');
	qte = document.getElementById('qte').value.replace(/\s/g, '');
	
	affichageUnite1 = '';
	affichageUnite2 = '';	
	if(unite!=uniteArticle){
		affichageUnite1 = ' '+unite;
		affichageUnite2 = ' '+uniteArticle;
	}
	
	quantiteAVerifier = parseFloat(parseFloat(quantite) * parseFloat(ValeurUniteDAArticle) / parseFloat(QteConditionnement));
	
	if(QteConditionnement!=0 && quantiteAVerifier.toFixed()!=quantiteAVerifier){
		alert("La quantité "+quantite+affichageUnite1+" n'est pas un multiple de la quantité de conditionnement "+QteConditionnement+affichageUnite2+".");
	}
	
	tblquantite = document.getElementsByClassName('quantite');
	quantiteCumule = 0;
	for (i=0; i<tblquantite.length; i++){
		quantiteLigne = tblquantite[i].value.replace(/\s/g, '');
		if(quantiteLigne == ''){
			quantiteLigne = 0;
		}
		quantiteCumule = parseFloat(quantiteCumule) + parseFloat(quantiteLigne);
	}
	quantiteRestante = (parseFloat(qte)  - parseFloat(quantiteCumule).toFixed(3)).toFixed(3);
	document.getElementById('quantiteRestante').innerHTML  = quantiteRestante;
	document.getElementById('spanQuantite').removeAttribute('class');
	if(quantiteRestante!=0){
		document.getElementById('spanQuantite').classList.add('texteRed');
	}
	else{
		document.getElementById('spanQuantite').classList.add('texteVert');
	}
	objet.value = formatNombre(parseFloat(quantite).toFixed(3), ' ');
}

function formatNombre(nombre, separateur){
	nombre += '';
	var valeur = nombre.replace(',','.').split('.');
	valeur[0] = valeur[0] || '0';
	valeur[1] = valeur[1] || '00';
	var reg = /(\d+)(\d{3})/;
	while( reg.test( valeur[0])) {
	  	valeur[0] = valeur[0].replace( reg, '$1' + separateur +'$2');
	}
	return valeur.join('.');
}
// FIN POPUP PLANNING

function SupPanier(rowid,message_confirmation, context)
{
	var object=document.getElementById('fonctionFormHead');
	
	if(confirm(message_confirmation))
	{
		object.value="del_panier_"+rowid;
		Traite("liste_panier.php",object, null, null, context);
		object.value="";
	}
}


function reponse()
{
  this.flg_exite=false;
}

// function globale pour le test vidage panier OUI / NON
// Portabilité IE / FireFox
function glob_oxalys()
{

}


function ChargePanier(rowid,type,message)
{
  var flg_cont=false;
  glob_oxalys.flg_exite=false;
  //ne pas passer en Assynchrone
  CallUrl("info_panier.php","type=test_panier&rowid="+rowid+"&method="+type);

  if (glob_oxalys.flg_exite)
  {
    flg_cont = confirm(message);
  }
  else
    flg_cont=false;

  if (flg_cont)
    CallUrl("info_panier.php","type=use_panier&rowid="+rowid+"&method="+type);
}



function GenCdeRegul(codfrs,num_panier, datePeriode)
{
  var flg_cont=false;
  glob_oxalys.flg_exite=false;

  CallUrl("info_panier.php","type=test_panier_regul&codfrs="+codfrs+"&panier="+num_panier+"&datePeriode="+datePeriode);

  if (glob_oxalys.flg_exite)
  {
    flg_cont = confirm('Le panier en cours n\'est pas vide, continuer ?');
  }
  else
    flg_cont=false;

  if (flg_cont)
    CallUrl("info_panier.php","type=use_panier_regul&codfrs="+codfrs+"&panier="+num_panier+"&datePeriode="+datePeriode);
}





function typedate_changed(object)
{
	var objform;

  	objform = object.form;

  	if(objform){
  		if(object.value==-1)
  		{
  			objform.DateDebut.value = "";
		    objform.DateFin.value   = "";
		    objform.DateDebut.disabled = true;
		    objform.DateFin.disabled   = true;
   			objform.CritereDepuis.disabled= true;
		    objform.DateDebut.style.backgroundColor = '#CCCCCC';
		    objform.DateFin.style.backgroundColor = '#CCCCCC';
  			objform.CritereDepuis.style.backgroundColor = '#CCCCCC';
  		}
  		else{
  			CtrlDtSuivi(object);
  			objform.CritereDepuis.disabled= false;
  			objform.CritereDepuis.style.backgroundColor = '#FFFFFF';
  			}

  	}
}


/** fonction javascript associe au dernier ecran de validation panier
 *
 *
 *
 */

function Fonction_ong_5(fonction,message)
{
  var object=document.frm_saisie_panier.fonction;

  object.value=fonction;

  TraiteAsync("panier_ong_5.php",object,'',message);

  object.value="";

  flg_debut_div=false;
  Eteint();
}



function ctrl_soumission(lib_env,lib_raffraichir){
	// Fonction de controle du process de soumission final
	this.lib_env         = lib_env;
	this.lib_raffraichir = lib_raffraichir;
	this.flg_mode_env    = true;
}

function ctrl_soumission(lib_env,lib_raffraichir){
	// Fonction de controle du process de soumission final
	this.lib_env         = lib_env;
	this.lib_raffraichir = lib_raffraichir;
	ctrl_soumission.flg_mode_env=true;

 	if (ctrl_soumission.flg_mode_env) {
 		document.getElementById('mode_valid').innerHTML = lib_env;
 	}
 	else{
 		document.getElementById('mode_valid').innerHTML = lib_raffraichir;
 	}
}

ctrl_soumission.flg_mode_env=true;

ctrl_soumission.ctrl_env_panier = function (name_object,complement,alt_message,title_message,tableauLib){

	// Mise a jour de la variable de la class
	ctrl_soumission.flg_mode_env=true;

	if (name_object != "")
	{

		// En fonction du mode on va savoir si DA ou CDE ou STOCK
		var mode       = 0;
		var valeur_obj = "";

			 if (name_object.indexOf("_cde_") > 0) mode = 1;
		else if (name_object.indexOf("_stk_") > 0) mode = 2;
		else mode = 3; // Retour en commandes ou en stock

		ctrl_soumission.ctrl_env_panier.obj_a    = document.getElementById('img_'+name_object);
		ctrl_soumission.ctrl_env_panier.obj_span = document.getElementById('id_'+name_object);
		ctrl_soumission.ctrl_env_panier.obj_elem = document.frm_saisie_panier[name_object];

		switch (mode)
		{
			// Mouvemement de type cde vers da
	  		case 1:
	    		if (ctrl_soumission.ctrl_env_panier.obj_elem.value != "")
	    		{
	      			ctrl_soumission.ctrl_env_panier.obj_a.alt   = "";
	      			ctrl_soumission.ctrl_env_panier.obj_a.title = "";
	      			ctrl_soumission.ctrl_env_panier.obj_span.innerHTML  = tableauLib[1]; // CDE
	      			ctrl_soumission.ctrl_env_panier.obj_elem.value      = "";
	    		}
	    		else
	    		{
	      			ctrl_soumission.ctrl_env_panier.obj_a.alt   = "";
	      			ctrl_soumission.ctrl_env_panier.obj_a.title = "";
	      			ctrl_soumission.ctrl_env_panier.obj_span.innerHTML = tableauLib[0];	// DA
	      			ctrl_soumission.ctrl_env_panier.obj_elem.value     = "da";
	    		}
	    		break;
	    	// Mouvement de type stock vers da
	    	case 2:
	    		if (ctrl_soumission.ctrl_env_panier.obj_elem.value != "")
	    		{
	      			ctrl_soumission.ctrl_env_panier.obj_a.alt   = "";
	      			ctrl_soumission.ctrl_env_panier.obj_a.title = "";
	      			ctrl_soumission.ctrl_env_panier.obj_span.innerHTML  = tableauLib[2]; // STOCK
	      			ctrl_soumission.ctrl_env_panier.obj_elem.value      = "";
	    		}
	    		else
	    		{
	      			ctrl_soumission.ctrl_env_panier.obj_a.alt   = "";
	      			ctrl_soumission.ctrl_env_panier.obj_a.title = "";
	      			ctrl_soumission.ctrl_env_panier.obj_span.innerHTML = tableauLib[0];	// DA
	      			ctrl_soumission.ctrl_env_panier.obj_elem.value     = "da";
	    		}
	    		break;
	    	// Repositionne dans l'etat precedent soit commandes soit stock
	    	case 3:
	    		if (ctrl_soumission.ctrl_env_panier.obj_elem.value == "")
	    		{
	      			ctrl_soumission.ctrl_env_panier.obj_a.alt   = "";
	      			ctrl_soumission.ctrl_env_panier.obj_a.title = "";
	    		    if (complement)
	    		    {
		      			ctrl_soumission.ctrl_env_panier.obj_span.innerHTML  = tableauLib[2];	// STOCK
		      		}
		      		else
		      		{
		      			ctrl_soumission.ctrl_env_panier.obj_span.innerHTML  = tableauLib[1];	// CDE
		      		}
	      			ctrl_soumission.ctrl_env_panier.obj_elem.value      = "da";
	    		}
	    		else
	    		{
	    		    // Attention ici c'est de la commande soit du stock
	    		    if (complement)
	    		    {
		      			ctrl_soumission.ctrl_env_panier.obj_a.alt   = "";
	    	  			ctrl_soumission.ctrl_env_panier.obj_a.title = "";
	    	  		}
	    	  		else
	    	  		{
		      			ctrl_soumission.ctrl_env_panier.obj_a.alt   = "";
	    	  			ctrl_soumission.ctrl_env_panier.obj_a.title = "";
	    	  		}

	      			ctrl_soumission.ctrl_env_panier.obj_span.innerHTML = tableauLib[0];			// DA
	      			ctrl_soumission.ctrl_env_panier.obj_elem.value     = "";
	    		}
	    		break;
		}

		var icpt=0;
	 	var lst_element=document.frm_saisie_panier.elements;

	 	for (icpt=0;icpt<lst_element.length;icpt++)
	 	{
	 		if (lst_element[icpt].name.indexOf('trans_cde_') == 0)
	 		{
	 			if (lst_element[icpt].value != ''){
		 			ctrl_soumission.flg_mode_env=false;
	 				break;
	 			}
	 		}
	 		else
	 		if (lst_element[icpt].name.indexOf('trans_da_') == 0)
	 		{
		 		if (lst_element[icpt].value != ''){
	 				ctrl_soumission.flg_mode_env=false;
	 				break;
	 			}
	 		}
	 		else
	 		if (lst_element[icpt].name.indexOf('trans_stk_') == 0)
	 		{
		 		if (lst_element[icpt].value != ''){
	 				ctrl_soumission.flg_mode_env=false;
	 				break;
	 			}
	 		}
	 	}
	 }

 	if (ctrl_soumission.flg_mode_env) {
 		document.getElementById('mode_valid').innerHTML = lib_env;
 	}
 	else{
 		document.getElementById('mode_valid').innerHTML = lib_raffraichir;
 	}
}

// exemple GereCombo(this,'carat_','all',false)
function GereCombo(object,name,mode,valeur)
{
	var form = object.form;
	var icpt = 0;

	for (icpt=0;icpt < form.elements.length; icpt++)
	{
		if (form.elements[icpt].name != object.name)
		{
			if (object.type == form.elements[icpt].type)
			{
				switch (mode)
				{
					case "all":
					    form.elements[icpt].checked = false;
						break;
					default:
					    if (form.elements[icpt].name == name)
					    {
					      form.elements[icpt].checked = false;
					    }
						break;
				}
			}
		}
	}
}


//fonction qui redéfinit la société de session par la société choisit par l'utilisateur 
function InitSocSession(CodeSoc)
{
	if (typeof(CodeSoc)=='undefined')
		//On réinitialise la société avec celle choisie par l'utilisateur 
		CallUrl("info_societe.php","type=InitSocSession");
	else 
		//On réinitialise la société avec celle imposée
		CallUrl("info_societe.php","type=ImposeSocSession&CodeSoc="+CodeSoc);
}

function ValideQte(obj){
	  if (obj.srcElement){
	    var elem = obj.srcElement; 
	    if (elem.tagName=='INPUT'){
	      if (elem.name.indexOf('qte_')==0){
	         elem.onblur();
	      }
	    }
	  }  
	}
/* 
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

function gestionResize(){
    var windowWidth = 0;
    if (typeof(window.innerWidth) == 'number')
    {
        // DOM compliant, IE9+
        windowWidth = window.innerWidth;
    }
    else
    {
        // IE6-8 workaround, Note: document can be smaller than window
        var ieStrict = document.documentElement.clientWidth; // w/out DTD gives 0
        var ieQuirks = document.body.clientWidth; // w/DTD gives document width
        windowWidth = (ieStrict > 0) ? ieStrict : ieQuirks;
    }

    var marge = Math.ceil(1024*0.05);
    var mini = 1024 + marge * 2;
    var ext = 'px';
    if (windowWidth <mini){
       var bordure = (windowWidth - mini) + marge * 2;
       marge = Math.max(0,bordure / 2);
    }
    else
    {
        marge = 0;
        ext = '%';
    }

    document.getElementById('marge_ctr').style.marginLeft = marge+ext;
    document.getElementById('marge_ctr').style.marginRight = marge+ext;

    document.getElementById('marge_fle').style.width = marge+ext;
    document.getElementById('marge_fli').style.width = marge+ext;
	
	
    document.getElementById('bandeau_bas').style.paddingLeft = marge+ext;
    document.getElementById('bandeau_bas').style.paddingRight = marge+ext;
	
    // Pour la partie concerant la gestion des rayon
    controleNavRayon();
}


function controleNavRayon(){
	// Utilisation des informations id : idNavRayonGauche, idNavRayonDroit, id_slide_rayon
	var objGauche = document.getElementById('idNavRayonGauche');
	var objDroit  = document.getElementById('idNavRayonDroit');
	var objSilde  = document.getElementById('id_slide_rayon');

	if (objSilde){
		/*
		if (objGauche) objGauche.style.visibility = (objSilde.scrollTop==0 
													? 'hidden' 
													: 'visible');
		if (objDroit)   objDroit.style.visibility = (objSilde.scrollHeight<=objSilde.clientHeight || 
													objSilde.clientHeight + objSilde.scrollTop >= objSilde.scrollHeight 
													? 'hidden' 
													: 'visible'
													);
		*/
		if (objGauche) 
			if (objSilde.scrollTop==0) 
				objGauche.firstChild.classList.remove("suite");
			else
				objGauche.firstChild.classList.add("suite");

		if (objDroit)   
			if (objSilde.scrollHeight<=objSilde.clientHeight || objSilde.clientHeight + objSilde.scrollTop >= objSilde.scrollHeight)
				objDroit.firstChild.classList.remove("suite");
			else
				objDroit.firstChild.classList.add("suite");
	}
	
	
	// document.getElementById("MyElement").classList.add('class');
	// document.getElementById("MyElement").classList.remove('class');
}

function moveRayon(mode,sObject){
   var obj = document.getElementById(sObject);
   if (obj){
      var offHeightBase = obj.offsetHeight;
      var scrMaxi = obj.scrollHeight;
      if (offHeightBase != scrMaxi){
        if (mode=='right'){
          obj.scrollTop +=offHeightBase;
        }
        else{
          obj.scrollTop -=offHeightBase;
        }
      }
   } 
   controleNavRayon();
}

function afficheRayon(object){  
  document.getElementById('id_titre_rayon').innerHTML = object.innerHTML;
}

function loupeInfo(obj,e){
    if (obj){
    	var target = e.target || e.srcElement;
    	
    	if (target)
	    	if (target != obj){
		    	var objEnc = obj;
		    	while (objEnc){
		    		if (objEnc.tagName=="DIV"){
		    			break;
		    		}
		    		objEnc = objEnc.parentNode;
		    	}
		    	while (target){
		    		if (target == objEnc) return true;
		    		
		    		target = target.parentNode;
		    	}
	    	}
    }
    return false;
}

function ctrlHtmlObject(obj, ev){

	return true;
}

/*** AO ***/
function ControleAgrandir(){
    var objForm = document.forms.frm_detail;
    
    var listeFor = objForm.getElementsByTagName("input");
    
    var idPanelAncre = document.getElementById("idPanelAncre");

    // Recherche de l'onglet ayant le clic et donc le nom de l'id ce cet onglet    
    var idClicOnglet = null;
    if (idPanelAncre) idPanelAncre.style.display="block";
    for (var i=0;i<listeFor.length;i++){
         var obj = listeFor[i];

         if (obj.id)
			 if (obj.id.indexOf("agr_")==0){
				 if (obj.checked){
					idClicOnglet = obj;
	
					idClicOnglet.nextSibling.style.display="block";
					if (idPanelAncre) idPanelAncre.style.display="none";
					break;
				 }
			 }
    }

	for (var i=0;i<listeFor.length;i++){
        var obj = listeFor[i];

        if (obj.id)
			if (obj.id.indexOf("agr_")==0){
				if (idClicOnglet == null) // Aucun onglet n'a un clic dessus
					obj.nextSibling.style.display="block";
				else
				 if (obj.id==idClicOnglet.id)
					 obj.nextSibling.style.display="block";
				 else
					 obj.nextSibling.style.display="none";
			}
    }
}

function affichageOngletAo(){	
	var listeFor = document.getElementsByName('agrandir');
	
	for (var i=0;i<listeFor.length;i++){
		var obj = listeFor[i];
		
		if (obj.id){
			if (obj.id.indexOf("agr_")==0){
				idOnglet = (obj.id).replace("agr_", "#id_");
				document.getElementById(idOnglet).removeAttribute('class');
				if (obj.checked){
				   obj.nextSibling.style.display="block";
				   document.getElementById(idOnglet).classList.add('ongletSelected');				
				}
				else{
					obj.nextSibling.style.display="none";					
				}
			}
		}
	}
}

function changeOngletAO(onglet){
	id = (onglet.id).replace("#id_tag_", "");
	
	listeInputOnglet = document.getElementsByName('agrandir');
	for (var i=0;i<listeInputOnglet.length;i++){
		var obj = listeInputOnglet[i];
		obj.checked = false;		
	}

	document.getElementById('agr_tag_'+id).checked = true;

	listeOnglet = document.getElementById('idPanelAncre').children;
	for (i = 0; i < listeOnglet.length; i++) {
		listeOnglet[i].removeAttribute('class');
		if(listeOnglet[i].id == onglet.id){
			listeOnglet[i].classList.add('ongletSelected');
		}
	} 

	var objForm = document.forms.frm_detail;
	var listeFor = objForm.getElementsByTagName("input");

	for (var i=0;i<listeFor.length;i++){
        var obj = listeFor[i];

        if (obj.id){
			if (obj.id.indexOf("agr_")==0){
				if ((obj.id).replace("agr_tag_", "")==id)
					obj.nextSibling.style.display="block";
				else
					obj.nextSibling.style.display="none";
			}
		}
    }
}

/**
 * Fonction permettant de mettre visible ou non un bloc si le texte qu'il contient est relaltif à la variable passé
 * @param id (c'est l'id conteneur père limite pour lesquels les recherche XPATH doivent etre faite
 * @param texte
 * @returns
 */
function afficheTd(id , texte){
	var objId = document.getElementById(id);
	var element = objId.querySelectorAll('[_oxatraite]');
	if (objId)
		for (var i=0;i<element.length;i++) {
			var curseur = element[i].textContent.indexOf(texte);
			
			if (curseur == -1)
				curseur = element[i].textContent.toLowerCase().indexOf(texte.toLowerCase());
			
			// recherche du td pere
			var obj = element[i];
			while (obj != objId){
				
				var valAttr = obj.getAttribute('_oxafct');
				if (valAttr != null && valAttr == 'bloc'){
					obj.style.display = (curseur!=-1 ? '' : 'none');
					break;
				}
				
				obj = obj.parentNode;
			}
		}
}

function rechercherArticle(id){
	if (id){
		document.frm_saisie_panier.texte_recherche.value = id.textContent;
		document.getElementById('btn_rechercher').click();
	}
}

function checkSizeFileUpload(idInput)
{
	var fileEl = document.getElementById(idInput);
	var fileSize = fileEl.files[0].size / 1024 / 1024;
	var fileName = fileEl.files[0].name;

	if(fileSize> 5)
	{
		document.getElementById(idInput).value = '';
		alert(document.getElementById('msgErreurHidden').value);
	}
	// console.log(fileName); 
}

function exportCSV2(path, nomFormulaire, msgAlert)
{
	alert(msgAlert);

	var myform = jQuery('#'+nomFormulaire);
	var disabled = myform.find(':input:disabled').removeAttr('disabled');
	var myForm = myform.serializeArray();
	disabled.attr('disabled','disabled');
	
	myForm.push({name : 'exportPathAction', value :path});
	
	jQuery.ajax({
		url: 'V2/ajax/execAsync',
		type: 'POST',
		dataType : 'JSON', 
		data: myForm,
		success: function (data) 
		{	
		}
	});			 
}